Package org.apache.commons.math3.geometry.spherical.twod

# Class Edge

java.lang.Object
org.apache.commons.math3.geometry.spherical.twod.Edge

public class Edge extends Object
Spherical polygons boundary edge.

Since:
  3.3
See Also:
  - `SphericalPolygonsSet.getBoundaryLoops()`
  - `Vertex`

## Method Summary

Modifier and Type
Method
Description
`Circle`
`getCircle()`
Get the circle supporting this edge.
`Vertex`
`getEnd()`
Get end vertex.
`double`
`getLength()`
Get the length of the arc.
`Vector3D`
`getPointAt(double alpha)`
Get an intermediate point.
`Vertex`
`getStart()`
Get start vertex.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getStart

public Vertex getStart()
Get start vertex.

Returns:
  start vertex

### getEnd

public Vertex getEnd()
Get end vertex.

Returns:
  end vertex

### getLength

public double getLength()
Get the length of the arc.

Returns:
  length of the arc (can be greater than \( \pi \))

### getCircle

public Circle getCircle()
Get the circle supporting this edge.

Returns:
  circle supporting this edge

### getPointAt

public Vector3D getPointAt(double alpha)
Get an intermediate point.

The angle along the edge should normally be between 0 and `getLength()` in order to remain within edge limits. However, there are no checks on the value of the angle, so user can rebuild the full circle on which an edge is defined if they want.

Parameters:
  `alpha` - angle along the edge, counted from `getStart()`
Returns:
  an intermediate point